summaryrefslogtreecommitdiff
path: root/recipes/siproxd/files
diff options
context:
space:
mode:
authorRoman I Khimov <khimov@altell.ru>2009-03-23 20:58:14 +0300
committerRoman I Khimov <khimov@altell.ru>2009-04-22 23:53:18 +0400
commitd070641ef249d0b9a335617685a3218e0bfe63b3 (patch)
tree42d1a860b42563786932ad776d45dbb52a03b346 /recipes/siproxd/files
parent934ef803ea8eb626888e88a9aa6d900f2edb3e7c (diff)
siproxd: new recipe
New recipe for siproxd 0.7.1 Acked-by: Koen Kooi <koen@openembedded.org>
Diffstat (limited to 'recipes/siproxd/files')
-rw-r--r--recipes/siproxd/files/no-docs.patch38
-rw-r--r--recipes/siproxd/files/siproxd.init59
2 files changed, 97 insertions, 0 deletions
diff --git a/recipes/siproxd/files/no-docs.patch b/recipes/siproxd/files/no-docs.patch
new file mode 100644
index 0000000000..499a5bb56b
--- /dev/null
+++ b/recipes/siproxd/files/no-docs.patch
@@ -0,0 +1,38 @@
+Taken from siproxd snapshot
+
+--- siproxd-0.7.1/configure.in 2008-02-02 20:13:31.000000000 +0300
++++ siproxd-0.7.2/configure.in 2009-03-01 18:41:27.000000000 +0300
+@@ -135,6 +141,33 @@
+
+
+ dnl **********************************************
++dnl * Building doc
++dnl **********************************************
++
++dnl
++dnl --enable-doc
++dnl
++
++ build_docs="yes";
++ AC_MSG_CHECKING(build documentation)
++ AC_ARG_ENABLE(doc,
++ [ --disable-doc build pdf/html doc (default=enabled)],
++ if test "x$enableval" = "xno"; then
++ build_docs="no";
++ fi
++ AC_MSG_RESULT($build_docs), AC_MSG_RESULT($build_docs))
++ if test "x$build_docs" = "xyes"; then
++ AC_CHECK_PROG(docbook2pdf,docbook2pdf,yes,)
++ AM_CONDITIONAL(have_docbook2pdf,test "$docbook2pdf" = "yes")
++ AC_CHECK_PROG(docbook2html,docbook2html,yes,)
++ AM_CONDITIONAL(have_docbook2html,test "$docbook2html" = "yes")
++ else
++ AM_CONDITIONAL(have_docbook2pdf,false)
++ AM_CONDITIONAL(have_docbook2html,false)
++ fi
++
++
++dnl **********************************************
+ dnl * Selection of static build variants
+ dnl **********************************************
+
diff --git a/recipes/siproxd/files/siproxd.init b/recipes/siproxd/files/siproxd.init
new file mode 100644
index 0000000000..4a40f18bcc
--- /dev/null
+++ b/recipes/siproxd/files/siproxd.init
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+# /etc/rc.d/init.d/siproxd
+#
+# Starts the siproxd daemon
+#
+# description: Listen and dispatch SIP messages
+# processname: siproxd
+
+
+DAEMON=/usr/sbin/siproxd
+NAME=siproxd
+
+test -x $DAEMON || exit 0
+
+start() {
+ echo -n $"Starting sip proxy: "
+ start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- $DAEMON_OPTS || true
+ echo "$NAME."
+}
+
+stop() {
+ echo -n $"Stopping sip proxy: "
+ start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON || true
+ echo "$NAME."
+}
+
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ trap "" SIGHUP
+ killall -HUP siproxd
+}
+
+case "$1" in
+start)
+ start
+ ;;
+stop)
+ stop
+ ;;
+reload)
+ reload
+ ;;
+restart)
+ restart
+ ;;
+*)
+ echo $"Usage: $0 {start|stop|restart|reload}"
+ exit 1
+esac
+
+exit 0